MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions | Data Fields
ConfigParam Struct Reference

`#include <Param.hxx>`

Collaboration diagram for ConfigParam:
[legend]

## Public Member Functions
| ConfigParam (int _line=-1)
gcc_nonnull_all | ConfigParam (const char *_value, int _line=-1)
| ConfigParam (const ConfigParam &)=delete
| ~ConfigParam ()
ConfigParam & | operator= (const ConfigParam &)=delete
bool | IsNull () const
| Determine if this is a "null" instance, i.e. More...
gcc_pure AllocatedPath | GetPath () const
| Parse the value as a path. More...

## Data Fields
ConfigParam * | next
| The next ConfigParam with the same name. More...
std::string | value
int | line
bool | used
| This flag is false when nobody has queried the value of this option yet. More...

## Detailed Description

Definition at line 30 of file Param.hxx.

## Constructor & Destructor Documentation

ConfigParam::ConfigParam | ( | int | _line = `-1` | ) |
| inline explicit

Definition at line 47 of file Param.hxx.

gcc_nonnull_all ConfigParam::ConfigParam | ( | const char * | _value,
|  | int | _line = `-1`
| ) |  |

ConfigParam::ConfigParam | ( | const ConfigParam & |  | ) |
| delete

ConfigParam::~ConfigParam | ( |  | ) |

## Member Function Documentation

gcc_pure AllocatedPath ConfigParam::GetPath | ( |  | ) | const

Parse the value as a path.

If there is a tilde prefix, it is expanded.

Throws #std::runtime_error on error.

bool ConfigParam::IsNull | ( |  | ) | const
| inline

Determine if this is a "null" instance, i.e.

an empty object that was synthesized and not loaded from a configuration file.

Definition at line 64 of file Param.hxx.

ConfigParam& ConfigParam::operator= | ( | const ConfigParam & |  | ) |
| delete

## Field Documentation

int ConfigParam::line

Definition at line 39 of file Param.hxx.

ConfigParam* ConfigParam::next

The next ConfigParam with the same name.

The destructor deletes the whole chain.

Definition at line 35 of file Param.hxx.

bool ConfigParam::used

This flag is false when nobody has queried the value of this option yet.

Definition at line 45 of file Param.hxx.

std::string ConfigParam::value

Definition at line 37 of file Param.hxx.

The documentation for this struct was generated from the following file:

- config/Param.hxx